
/** @class_declaration satReparaciones */
/////////////////////////////////////////////////////////////////
//// MODULO SAT REPARACIONES ////////////////////////////////////
class satReparaciones extends oficial {
    function satReparaciones( context ) { oficial ( context ); }
	function datosTablaPadre(cursor:FLSqlCursor):Array {
		return this.ctx.satReparaciones_datosTablaPadre(cursor);
	}
}
//// MODULO SAT REPARACIONES /////////////////////////////////////
//////////////////////////////////////////////////////////////////

/** @class_definition satReparaciones */
//////////////////////////////////////////////////////////////////
//// MODULO SAT REPARACIONES ////////////////////////////////////
function satReparaciones_datosTablaPadre(cursor:FLSqlCursor):Array
{
	var datos:Array;
	switch (cursor.table()) {
		case "sat_lineasreparaciones": {
			datos.where = "idreparacion = "+ cursor.valueBuffer("idreparacion");
			datos.tabla = "sat_reparaciones";
			break;
		}
		default: {
			return this.iface.__datosTablaPadre(cursor);
		}
	}

	var curRel:FLSqlCursor = cursor.cursorRelation();
	if (curRel && curRel.table() == datos.tabla) {
		datos["tasaconv"] = curRel.valueBuffer("tasaconv");
		datos["codcliente"] = curRel.valueBuffer("codcliente");
		datos["fecha"] = curRel.valueBuffer("fecha");
		datos["codserie"] = curRel.valueBuffer("codserie");
		datos["porcomision"] = curRel.valueBuffer("porcomision");
		datos["codagente"] = curRel.valueBuffer("codagente");
	} else {
		var qryDatos:FLSqlQuery = new FLSqlQuery;
		qryDatos.setTablesList(datos.tabla);
		qryDatos.setSelect("tasaconv, codcliente, fecha, codserie, porcomision, codagente");
		qryDatos.setFrom(datos.tabla);
		qryDatos.setWhere(datos.where);
		qryDatos.setForwardOnly(true);
	  if (!qryDatos.exec()) {
		return false;
	  }
	  if (!qryDatos.first()) {
		return false;
	  }
		datos["tasaconv"] = qryDatos.value("tasaconv");
		datos["codcliente"] = qryDatos.value("codcliente");
		datos["fecha"] = qryDatos.value("fecha");
		datos["codserie"] = qryDatos.value("codserie");
		datos["porcomision"] = qryDatos.value("porcomision");
		datos["codagente"] = qryDatos.value("codagente");
	}
	return datos;
}
//// MODULO SAT REPARACIONES ////////////////////////////////////
////////////////////////////////////////////////////////////////

