
/** @class_declaration satReparaciones */
//////////////////////////////////////////////////////////////////
//// MODULO SAT REPARACIONES /////////////////////////////////////
class satReparaciones extends oficial {
  function satReparaciones( context ) { oficial( context ); }
  function init() { return this.ctx.satReparaciones_init(); }
}
//// MODULO SAT REPARACIONES /////////////////////////////////////
//////////////////////////////////////////////////////////////////

/** @class_definition satReparaciones */
/////////////////////////////////////////////////////////////////
//// MODULO SAT REPARACIONES ////////////////////////////////////

function satReparaciones_init()
{
  this.iface.__init();

  var idAlbaran:Number = this.cursor().valueBuffer("idalbaran");
  var curReparacion:FLSqlCursor = new FLSqlCursor("sat_reparaciones");
  curReparacion.select("idalbaran = " + idAlbaran);
  if (curReparacion.first()) {
	this.child("fdbCodCliente").setDisabled(true);
	this.child("fdbNombreCliente").setDisabled(true);
	this.child("fdbCifNif").setDisabled(true);
	this.child("fdbCodDivisa").setDisabled(true);
	this.child("fdbRecFinanciero").setDisabled(true);
	this.child("fdbTasaConv").setDisabled(true);
  }
}

//// MODULO SAT REPARACIONES ////////////////////////////////////
///////////////////////////////////////////////////////////////

