
/** @class_declaration satReparaciones */
/////////////////////////////////////////////////////////////////
//// MODULO SAT REPARACIONES ////////////////////////////////////
class satReparaciones extends oficial {
	function satReparaciones( context ) { oficial ( context ); }
	function afterCommit_albaranescli(curAlbaran:FLSqlCursor):Boolean {
		return this.ctx.satReparaciones_afterCommit_albaranescli(curAlbaran);
	}
}
//// MODULO SAT REPARACIONES ////////////////////////////////////
/////////////////////////////////////////////////////////////////

/** @class_definition satReparaciones */
/////////////////////////////////////////////////////////////////
//// MODULO SAT REPARACIONES ////////////////////////////////////
/** \C Si el albarn se borra se actualiza la reparacin asociada
\end */
function satReparaciones_afterCommit_albaranescli(curAlbaran:FLSqlCursor):Boolean
{
  if (!this.iface.__afterCommit_albaranescli(curAlbaran)) {
	return false;
  }
  switch (curAlbaran.modeAccess()) {
	case curAlbaran.Del: {
	  var idAlbaran:Number = curAlbaran.valueBuffer("idalbaran");
	  if (idAlbaran) {
		var curReparacion:FLSqlCursor = new FLSqlCursor("sat_reparaciones");
	    	with(curReparacion) {
			select("idalbaran = " + idAlbaran);
			first();
			setUnLock("editable", true);
			setModeAccess(Edit);
			refreshBuffer();
			setValueBuffer("archivar", true);
			commitBuffer();
		}
	  }
	  break;
	}
  }
  return true;
}
//// MODULO SAT REPARACIONES ////////////////////////////////////
/////////////////////////////////////////////////////////////////

